=== debian/changelog ===
certificate-transparency (20131206.1) unstable; urgency=low

  * Initial Release.

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 06 Dec 2013 11:19:02 +0100
