=== debian/changelog ===
certificate-transparency (20140130.1) UNRELEASED; urgency=low

  * Update git snapshot, change username, create logging dir.

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 30 Jan 2014 16:17:15 +0100
