## certificate-transparency 20140506.1

=== src/Makefile ===
--- 
+++ 
@@ -29,6 +29,13 @@
   INCLUDE += -I $(OPENSSLDIR)/include
   SYS_LIBS += -L $(OPENSSLDIR) -L $(OPENSSLDIR)/lib -Wl,-rpath,$(OPENSSLDIR) \
           -Wl,-rpath,$(OPENSSLDIR)/lib
+endif
+
+# Allow non-system version of curl to be used.
+# Useful if it was built with a custom OpenSSL version.
+ifneq ($(CURLDIR),)
+  INCLUDE += -I $(CURLDIR)/include
+  SYS_LIBS += -L $(CURLDIR)/lib -Wl,-rpath,$(CURLDIR)/lib
 endif
 
 # Need cpp-netlib
@@ -312,10 +319,3 @@
 	$(CXX) -o $@ $^ $(SYS_LIBS)
 
 # server
-server/ct-server: server/ct-server.o server/event.o $(LOCAL_LIBS)
-	$(CXX) -o $@ $^ $(SYS_LIBS)
-
-# FIXME(benl): unclear why a second copy of liblog is needed.
-server/ct-rfc-server: server/ct-rfc-server.o $(LOCAL_LIBS)
-	$(CXX) -o $@ $^ $(SYS_LIBS) log/liblog.a
-
