=== debian/changelog ===
certificate-transparency (20140506.1) unstable; urgency=low

  * Update git snapshot. 

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 06 May 2014 09:49:04 +0200

certificate-transparency (20140502.1) unstable; urgency=low

  * Update git snapshot.

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 02 May 2014 16:45:49 +0200
