=== debian/control ===
Source: certificate-transparency
Section: net
Priority: extra
Maintainer: Thijs Kinkhorst <thijs@debian.org>
Build-Depends: debhelper (>= 9),
 libgoogle-glog-dev (>= 0.3.0), libgflags-dev, libprotobuf-dev, libgtest-dev,
 libsqlite3-dev, libcurlpp-dev, libcppnetlib-dev, libjson0-dev,
 python-pyasn1, python-gflags, python-protobuf, protobuf-compiler,
 cmake
Standards-Version: 3.9.5
Homepage: http://www.certificate-transparency.org/
Vcs-Svn: https://svn.non-gnu.uvt.nl/uvt-dev/trunk/package/certificate-transparency

Package: ct-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Auditing for TLS certificates (server)
 Certificate Transparency provides an open framework for monitoring and
 auditing SSL certificates in nearly real time. Specifically, Certificate
 Transparency makes it possible to detect SSL certificates that have been
 mistakenly issued by a certificate authority or maliciously acquired from
 an otherwise unimpeachable certificate authority. It also makes it possible
 to identify certificate authorities that have gone rogue and are
 maliciously issuing certificates.
 .
 This package contains the log server.

Package: ct-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Auditing for TLS certificates (client)
 Certificate Transparency provides an open framework for monitoring and
 auditing SSL certificates in nearly real time. Specifically, Certificate
 Transparency makes it possible to detect SSL certificates that have been
 mistakenly issued by a certificate authority or maliciously acquired from
 an otherwise unimpeachable certificate authority. It also makes it possible
 to identify certificate authorities that have gone rogue and are
 maliciously issuing certificates.
 .
 This package contains the ct client.
