## certificate-transparency 20140506.2

=== debian/changelog ===
certificate-transparency (20140506.2) unstable; urgency=low

  * Add libcurl-openssl-dev to build-dependencies.

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 07 May 2014 20:05:41 +0200

certificate-transparency (20140130.1) unstable; urgency=low

  * Update git snapshot, change username, create logging dir.

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 30 Jan 2014 16:17:15 +0100
