=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: extra
 Maintainer: Thijs Kinkhorst <thijs@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 9), libcurl4-openssl-dev,
  libgoogle-glog-dev (>= 0.3.0), libgflags-dev, libprotobuf-dev, libgtest-dev,
  libsqlite3-dev, libcurlpp-dev, libcppnetlib-dev, libjson0-dev,
  python-pyasn1, python-gflags, python-protobuf, protobuf-compiler,
