=== doc/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-VERSION=01
-PREV=00
+VERSION=03
+PREV=02
 XML=rfc6962-bis.xml
-NAME=draft-laurie-rfc6962-bis
+NAME=draft-ietf-trans-rfc6962-bis
 BASE=$(NAME)-$(VERSION)
 DIFF=$(NAME)-$(PREV)-$(VERSION)-diff.html
