=== debian/changelog ===
certificate-transparency (20140521.1) unstable; urgency=low

  * Update git snapshot.
    - Stuff moved from src/ to toplevel.
    - Remove curlpp dependency. 
  * Allow to build in parallel.

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 21 May 2014 15:43:33 +0200
