=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Thijs Kinkhorst <thijs@debian.org>
 Build-Depends: debhelper (>= 9), libcurl4-openssl-dev,
  libgoogle-glog-dev (>= 0.3.0), libgflags-dev, libprotobuf-dev, libgtest-dev,
- libsqlite3-dev, libcurlpp-dev, libcppnetlib-dev, libjson0-dev,
+ libsqlite3-dev, libcppnetlib-dev, libjson0-dev,
  python-pyasn1, python-gflags, python-protobuf, protobuf-compiler,
  cmake
 Standards-Version: 3.9.5
